Subject: Re: [RFC] iproute2: add br command

From: Stephen Hemminger <[email-masked]>
Date: Tue, 4 Oct 2011 16:00:36 -0700

On Tue, 04 Oct 2011 15:54:07 -0700
Sridhar Samudrala <[email-masked]> wrote:

> On Tue, 2011-10-04 at 15:42 -0700, Stephen Hemminger wrote:
> > On Wed, 5 Oct 2011 00:32:31 +0200
> > Michał Mirosław <[email-masked]> wrote:
> > 
> > > 2011/10/5 Sridhar Samudrala <[email-masked]>:
> > > > On Tue, 2011-10-04 at 14:07 -0700, Stephen Hemminger wrote:
> > > >> On Tue, 04 Oct 2011 09:58:55 -0700
> > > >> Andi Kleen <[email-masked]> wrote:
> > > >> > Stephen Hemminger <[email-masked]> writes:
> > > >> > > This adds a new 'br' command which is the bridging equivalent of
> > > >> > > the ip command. More of a demo of how to use netlink and bridging
> > > >> > > at this point.
> > > >> > Please name it "bridge", not "br"
> > > >> Ok, but it breaks the existing pattern.
> > > > Is this supposed to replace brctl utility?
> > > >
> > > > Can we add/delete a bridge and add/delete interfaces to a bridge using
> > > > this command?
> > > >
> > > > If so, why not make it
> > > >   ip bridge add/del <brname>
> > > >   ip bridge addif/delif <brname> <ifname>
> > > 
> > > I'll add one more idea:
> > > 
> > > ip link add/del <brname> type bridge
> > > ip bridge add/del <brname> <ifname>
> > > ip bridge fdb ...
> > 
> > In 3.0 you can already do:
> > # ip link add dev br3 type bridge
> > # ip link set dev eth3 master br3
> 
> I just pulled iproute2 tree from 
> git://github.com/shemminger/iproute2.git
> 
> But i don't see these updates there. Isn't this your latest iproute2 tree?

There is no special code for doing ip link stuff. it just works with
correct kernel.
 
> > 
> > I see no reason to add 'ip bridge' syntax wrappers.
> 
> If we can make all bridge related commands use 'ip bridge' prefix , 
> i think we wouldn't need a new 'br' command.

Maybe but there is no IP protocol function or requirement for bridging.